org.apache.sysds.runtime.instructions.spark.functions

## Class IsFrameBlockInRange

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.IsFrameBlockInRange

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.Function<scala.Tuple2<Long,FrameBlock>,Boolean>

    public class IsFrameBlockInRange
    extends Object
    implements org.apache.spark.api.java.function.Function<scala.Tuple2<Long,FrameBlock>,Boolean>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IsFrameBlockInRange(long rl, long ru, DataCharacteristics mcOut)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `call(scala.Tuple2<Long,FrameBlock> kv)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsFrameBlockInRange

    public IsFrameBlockInRange(long rl,
                               long ru,
                               DataCharacteristics mcOut)

### Method Detail

#### call

    public Boolean call(scala.Tuple2<Long,FrameBlock> kv)
                 throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<scala.Tuple2<Long,FrameBlock>,Boolean>`
Throws:
  `Exception`